Bug 1658592 - [Product]- Sync Plan Interval and timing is shown incorrectly in Product Details Page If Sync Interval is Custom Cron
Summary: [Product]- Sync Plan Interval and timing is shown incorrectly in Product Deta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Sync Plans
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 13:30 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:18 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)
Sync Plan Interval and timing is shown incorrectly (165.08 KB, image/png)
2018-12-12 13:30 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Foreman Issue Tracker 25687 None None None 2018-12-14 03:53:39 UTC

Description Omkar Khatavkar 2018-12-12 13:30:31 UTC
Created attachment 1513673 [details]
Sync Plan Interval and timing is shown incorrectly

Description of problem:
Sync Plan Interval and timing is shown incorrectly in Product Details Page If Sync Interval is Custom Cron

Version-Release number of selected component (if applicable):
6.5 Snap 7

How reproducible:
always

Steps to Reproduce:
1. Create Sync Plan with Custom Cron 
2. Add Sync plan to product and view product details Page
3.

Actual results:
Sync Plan Interval and timing is shown incorrectly in Product Details Page 

Expected results:
Sync Plan Interval and timing should be shown correctly in Product Details Page 

Additional info:
screenshot

Comment 3 Samir Jha 2018-12-12 17:31:51 UTC
I was wondering what should be shown on the UI in this case. Should we show Custom Cron : Cron_expression
In case of Hourly etc, we show the interval as hourly at minute, daily at time, weekly at date/time

Is something like Custom Cron : cron_expression ok for this field in case of Custom cron?

Comment 4 Samir Jha 2018-12-14 03:53:39 UTC
Created redmine issue http://projects.theforeman.org/issues/25687 from this bug

Comment 5 pm-sat@redhat.com 2018-12-17 21:11:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25687 has been resolved.

Comment 10 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.